### Method

# Gsk PathBuilderarc_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_arc_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2
    )

#### Description [src]

Adds an elliptical arc from the current point to `x2`, `y2` with `x1`, `y1` determining the tangent directions.

After this, `x2`, `y2` will be the new current point.

Note: Two points and their tangents do not determine a unique ellipse, so GSK just picks one. If you need more precise control, use `gsk_path_builder_conic_to()` or `gsk_path_builder_svg_arc_to()`.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X coordinate of first control point.

`y1`

  Type: `float`

  Y coordinate of first control point.

`x2`

  Type: `float`

  X coordinate of second control point.

`y2`

  Type: `float`

  Y coordinate of second control point.